{
    "name": "frog",
    "displayName": "frog",
    "description": "The Oracle SQL workbench for VSCode",
    "version": "0.0.5",
    "publisher": "todie",
    "engines": {
        "vscode": "^1.17.0"
    },
    "categories": [
        "Other"
    ],
    "activationEvents": [
        "onCommand:extension.executeSnippet",
        "onLanguage:plsql",
        "onView:connections"
    ],
    "main": "./out/extension",
    "contributes": {
        "commands": [
            {
                "command": "extension.executeSnippet",
                "title": "Execute SQL Snippet"
            },
            {
				"command": "selectConnection",
				"title": "Selects the connection to use"
			}
        ],
        "keybindings": [{
            "command": "extension.executeSnippet",
            "key": "ctrl+enter",
            "mac": "ctrl+enter",
            "when": "editorHasSelection"
        }],
        "views": {
            "explorer": [
                {
					"id": "connections",
					"name": "Connections"
				}
            ]
        }
    },
    "scripts": {
        "vscode:prepublish": "npm run compile",
        "compile": "tsc -p ./",
        "watch": "tsc -watch -p ./",
        "postinstall": "node ./node_modules/vscode/bin/install",
        "test": "npm run compile && node ./node_modules/vscode/bin/test"
    },
    "devDependencies": {
        "typescript": "^2.5.3",
        "vscode": "^1.1.5",
        "@types/node": "^7.0.43",
        "@types/mocha": "^2.2.42"
    }
}